<?php

namespace Nest\Http\Renderer;

/**
 * Plain PHP body renderer.
 */
class PhpRenderer implements Renderer
{
	/**
	 * @param string $viewPath Path of the view to use when rendering.
	 */
	public function __construct(protected string $viewPath)
	{}

	/**
	 * @inheritDoc
	 */
	public function render(object $arguments = new \stdClass()): string
	{
		// Extract render arguments.
		extract((array) $arguments);

		// Start rendering while buffering the output.
		ob_start();
		include $this->viewPath;

		// Return buffered body.
		return ob_get_clean();
	}
}
